> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing/system.drawing.graphicsunit.md).

# GraphicsUnit

Namespace: **System.Drawing**

Assembly: **System.Drawing.Managed** (4.0.0.0)

Specifies the unit of measure for the given data.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum GraphicsUnit : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum GraphicsUnit As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name           | Description                                                                                                            |
| -------------- | ---------------------------------------------------------------------------------------------------------------------- |
| **Display**    | Specifies the unit of measure of the display device. Typically pixels for video displays, and 1/100 inch for printers. |
| **Document**   | Specifies the document unit (1/300 inch) as the unit of measure.                                                       |
| **Inch**       | Specifies the inch as the unit of measure.                                                                             |
| **Millimeter** | Specifies the millimeter as the unit of measure.                                                                       |
| **Pixel**      | Specifies a device pixel as the unit of measure.                                                                       |
| **Point**      | Specifies a printer's point (1/72 inch) as the unit of measure.                                                        |
| **World**      | Specifies the world coordinate system unit as the unit of measure.                                                     |

## Used By

| Name                                                                                                 | Description                                                                                                                                                                                                                      |
| ---------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Font.Unit](/system.drawing.managed/api/system.drawing/system.drawing.graphicsunit.md)               | Gets the unit of measure for this [Font](/system.drawing.managed/api/system.drawing/system.drawing.font.md).                                                                                                                     |
| [Graphics.PageUnit](/system.drawing.managed/api/system.drawing/system.drawing.graphicsunit.md)       | Gets or sets the unit of measure used for page coordinates in this [Graphics](/system.drawing.managed/api/system.drawing/system.drawing.graphics.md).                                                                            |
| [Graphics.BeginContainer](/system.drawing.managed/api/system.drawing/system.drawing.graphicsunit.md) | Saves a graphics container with the current state of this [Graphics](/system.drawing.managed/api/system.drawing/system.drawing.graphics.md) and opens and uses a new graphics container with the specified scale transformation. |
| [Graphics.DrawImage](/system.drawing.managed/api/system.drawing/system.drawing.graphicsunit.md)      | Draws a portion of an image at a specified location.                                                                                                                                                                             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing/system.drawing.graphicsunit.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
